
TYPO3.Flow - Bug # 28422

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category: Persistence
Created: 2011-07-24 Assigned To: Christopher Hlubek
Updated: 2011-08-23 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Doctrine persistence does not use correct package key for tables
Description

The Flow3AnnotationDriver is using the second namespace part as package key for the table name prefix. This does not work for
packages without vendor name or packages with a deeper nesting of vendor names (e.g. 'Com.MyCompany.Foo').

History
#1 - 2011-08-04 08:53 - Sebastian Kurfuerst
- Target version set to 1.0 beta 2

#2 - 2011-08-04 09:47 - Christopher Hlubek
- Status changed from New to Under Review
- Target version changed from 1.0 beta 2 to 1.0 beta 1

This bug already has a patch and we should try to get it into beta 1.

https://review.typo3.org/#change,3720

#3 - 2011-08-23 11:21 - Robert Lemke
- Status changed from Under Review to Resolved
- Assigned To set to Christopher Hlubek
- % Done changed from 0 to 100

Has been merged.
